# ProductionComponent

interface ProductionComponent : SoftwareComponent

Represents a component that is the main product of a project.

#### Since

4.5

#### Inheritors

ProductionSwiftComponent
ProductionCppComponent

## Functions

getDevelopmentBinary
Link copied to clipboard
abstract fun getDevelopmentBinary(): Provider<out SoftwareComponent>
Returns the binary of the component to use as the default for development.
getName
Link copied to clipboard
abstract fun getName(): String